Can't update/restore - "this device isn't eligible for the requested build"

Discussion in 'iPad Tips, Help and Troubleshooting' started by majick, Aug 7, 2011.

  1. majick, Aug 7, 2011
    Last edited: Aug 7, 2011

    majick macrumors newbie

    Joined:
    Feb 2, 2007
    #1
    I just can't seem to be able to figure out what's wrong with my iPad 2. I've tried to update it to 4.3.3 but I always get the following error: "this device isn't eligible for the requested build" or, on a PC, error-code 3194. I've googled the hell out of this, tried pretty much everything (and yes folks, I did download the correct firmware for my device :p ):

    - edit hosts file (on PC and Mac) in that I delete the gs.apple-line (seems to work for everyone, not for me), tried out TinyUmbrella which does basically the same thing - does not change anything
    - tried updating and restoring on 2 Macs (10.7 and 10.6) and 1 PC (Windows 7)
    - tried 2 different Firmware-Versions (4.3.3 and 4.3.1)
    - tried doing it while iPad is in DFU-/Restore-Mode

    I'm really not sure what else I can do here. I'm starting to think that the device is broken and I have to return it.

    Any other advice?

    Oh and BTW, the iPad has never been jailbroken in the past.
     
  2. funnoam macrumors member

    Joined:
    Aug 7, 2011
    #2
    Well, if you just keep going the search, you'll see it's because Apple is not signing 4.3.1 and 4.3.3 software anylore. Btw, the "delete gs.apple.com from hosts" trick is only for people who want to update to the latest version. The only software you can restore or update is 4.3.5, and of course, lost the ability to jailbreak.
     
  3. Kingcodez macrumors 6502

    Kingcodez

    Joined:
    May 13, 2009
    Location:
    China
    #3
    I had a hard time finding this info as well. Apple stopped allowing updates to everything that isn't 4.3.5. I think there is a tethered JB for 4.3.5 I'm going to look into that more as I need to JB my iPhone to use with a pre-paid sim.
     

Share This Page